vim prior 9.0.0805 autocmd quickfix.c qf_update_buffer use after free

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
5.8$0-$5k0.00

A vulnerability was found in vim (Word Processing Software) and classified as problematic. Affected by this issue is the function qf_update_buffer of the file quickfix.c of the component autocmd Handler. The manipulation with an unknown input leads to a use after free vulnerability. Using CWE to declare the problem leads to CWE-416. Referencing memory after it has been freed can cause a program to crash, use unexpected values, or execute code. Impacted is confidentiality, integrity, and availability.

The weakness was shared 10/26/2022 as d0fab10ed2a86698937e3c3fed2f10bd9bb5e731. The advisory is shared for download at github.com. This vulnerability is handled as CVE-2022-3705. Successful exploitation requires user interaction by the victim. There are known technical details, but no exploit is available.

Upgrading to version 9.0.0805 eliminates this vulnerability. Applying the patch d0fab10ed2a86698937e3c3fed2f10bd9bb5e731 is able to eliminate this problem. The bugfix is ready for download at github.com. The best possible mitigation is suggested to be upgrading to the latest version.

Productinfo

Type

Name

License

  • open-source

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 5.8
VulDB Meta Temp Score: 5.8

VulDB Base Score: 5.0
VulDB Temp Score: 4.8
VulDB Vector: 🔒
VulDB Reliability: 🔍

NVD Base Score: 7.5
NVD Vector: 🔒

CNA Base Score: 5.0
CNA Vector (VulDB): 🔒

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploitinginfo

Class: Use after free
CWE: CWE-416 / CWE-119
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔒
Status: Not defined

EPSS Score: 🔒
EPSS Percentile: 🔒

Price Prediction: 🔍
Current Price Estimation: 🔒

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔒

Upgrade: vim 9.0.0805
Patch: d0fab10ed2a86698937e3c3fed2f10bd9bb5e731

Timelineinfo

10/26/2022 Advisory disclosed
10/26/2022 +0 days CVE reserved
10/26/2022 +0 days VulDB entry created
11/25/2022 +30 days VulDB last update

Sourcesinfo

Advisory: d0fab10ed2a86698937e3c3fed2f10bd9bb5e731
Status: Confirmed

CVE: CVE-2022-3705 (🔒)

Entryinfo

Created: 10/26/2022 08:44 PM
Updated: 11/25/2022 03:02 PM
Changes: 10/26/2022 08:44 PM (43), 11/25/2022 02:58 PM (3), 11/25/2022 03:02 PM (21)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Might our Artificial Intelligence support you?

Check our Alexa App!